View workflow reruns

List rerun branches under a job.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/rerun-branches

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query the workflow job list to obtain the workflow ID and source job execution ID.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/rerun-branches" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

FieldTypeDescription
workflow_idstringWorkflow ID.
execution_idstringSource job ID.

Successful response

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "reruns": [
      {
        "rerun_id": "rerun-001",
        "branch_id": "branch-001",
        "case_id": "case-001",
        "source_execution_id": "exec-001",
        "node_key": "root.load",
        "mode": "continue_from_node",
        "status": "running"
      }
    ]
  }
}
FieldTypeDescription
codestring`OK` when successful.
msgstring`OK` when successful.
data.reruns[]arrayRerun branch list.
data.reruns[].rerun_idstringRerun ID.
data.reruns[].branch_idstringBranch ID.
data.reruns[].case_idstringCase ID.
data.reruns[].source_execution_idstringSource job ID; returned only if there is a value.
data.reruns[].node_keystringRerun starting point; only returned if there is a value.
data.reruns[].modestringRerun mode.
data.reruns[].statusstringBranch status.
data.reruns[].errorstringBranch error information; only returned when there is an error.

Error response

JSON
{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

Use data.reruns[].rerun_id query workflow rerun details.

Last updated on